## rkward 0.8.0

=== CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
CMAKE_MINIMUM_REQUIRED(VERSION 3.20.0)

PROJECT(rkward)

IF(NOT CMAKE_VERBOSE_MAKEFILE)
	SET (FORCE_PRETTY_MAKEFILE ON)
ENDIF(NOT CMAKE_VERBOSE_MAKEFILE)

FIND_PACKAGE(ECM 6.0.0 REQUIRED NO_MODULE)

SET(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

INCLUDE(KDEInstallDirs)
INCLUDE(KDECMakeSettings)
INCLUDE(KDECompilerSettings)
INCLUDE(ECMInstallIcons)
INCLUDE(ECMAddAppIcon)
INCLUDE(ECMMarkNonGuiExecutable)
INCLUDE(FeatureSummary)

FIND_PACKAGE(Qt6 6.6 CONFIG REQUIRED COMPONENTS Widgets Core Xml Network Qml PrintSupport WebEngineWidgets Core5Compat DBus) # TODO: remove compat
FIND_PACKAGE(KF6 6.0.0 REQUIRED COMPONENTS CoreAddons DocTools I18n XmlGui TextEditor WidgetsAddons Parts Config Notifications WindowSystem Archive BreezeIcons OPTIONAL_COMPONENTS Crash)
FIND_PACKAGE(Gettext REQUIRED)

IF(FORCE_PRETTY_MAKEFILE)
	SET(CMAKE_VERBOSE_MAKEFILE OFF)
ENDIF(FORCE_PRETTY_MAKEFILE)

ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

remove_definitions(-DQT_NO_CAST_FROM_ASCII) # TODO remove to compley to KDECompilerSettings

#uncomment the line below to save ~250-350kB in object size
#ADD_DEFINITIONS(-DRKWARD_NO_TRACE)

ADD_SUBDIRECTORY(3rdparty/KDSingleApplication)
ADD_SUBDIRECTORY(rkward)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(tests)
KI18N_INSTALL(po)
KDOCTOOLS_INSTALL(po)

FEATURE_SUMMARY(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/rkwardplugins/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
# NOTE: kdoctools_create_handbook does not support multiple docbooks inside one directory. That's why this is separate.
# KF5 TODO: Is the above still true?
kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR rkwardplugins)

ADD_CUSTOM_TARGET (webdocs
	COMMAND meinproc5 --stylesheet customization/kde-web.xsl ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== rkward/autotests/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
include(ECMMarkAsTest)

find_package(Qt6 QUIET REQUIRED Test)

macro(rkward_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)

    target_link_libraries(${_testname} PRIVATE rkward_lib Qt6::Test)

    add_test(NAME rkward-${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
  endforeach()
endmacro()

rkward_executable_tests(
  core_test
)

=== rkward/misc/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

SET(misc_STAT_SRCS
   rkspinbox.cpp
   getfilenamewidget.cpp
   rkobjectlistview.cpp
   xmlhelper.cpp
   multistringselector.cpp
   rkcommandlineargs.cpp
   rkcommonfunctions.cpp
   rkprogresscontrol.cpp
   rksaveobjectchooser.cpp
   rkdummypart.cpp
   rkjobsequence.cpp
   rkspecialactions.cpp
   rkstandardicons.cpp
   rkstandardactions.cpp
   rkxmlguisyncer.cpp
   rkcommandhistory.cpp
   rktableview.cpp
   celleditor.cpp
   editlabelsdialog.cpp
   editformatdialog.cpp
   rkmessagecatalog.cpp
   rkfindbar.cpp
   rkdynamicsearchline.cpp
   rkaccordiontable.cpp
   rkxmlguipreviewarea.cpp
   rkdialogbuttonbox.cpp
   rkoutputdirectory.cpp
   rkstyle.cpp
   rkparsedversion.cpp
   )

ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})
TARGET_LINK_LIBRARIES(misc Qt6::Widgets KF6::WidgetsAddons KF6::KIOWidgets Qt6::Xml Qt6::DBus KF6::ConfigCore KF6::Parts KF6::WindowSystem KF6::TextEditor KF6::Archive KF6::I18n)

=== rkward/rbackend/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE(FindR.cmake)
IF(NOT WIN32)
	# for pthread_at_fork
	FIND_PACKAGE(Threads)
ENDIF(NOT WIN32)

SET(DLOPEN_RLIB 1) # TODO: Allow configuration
ADD_SUBDIRECTORY( rpackages )
ADD_SUBDIRECTORY( rkwarddevice )

INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} )

SET (
	rbackend_shared_SRCS
	rkrbackendprotocol_shared.cpp
	rdata.cpp
	rktransmitter.cpp
)

SET (
	rbackend_backend_SRCS
	rkrbackend.cpp
	rksignalsupport.cpp
	rkrsupport.cpp
	rkstructuregetter.cpp
	rkrbackendprotocol_backend.cpp
	rkreventloop.cpp
	rkbackendtransmitter.cpp
	rkrapi.cpp
)

SET (
	rbackend_frontend_SRCS
	rkrinterface.cpp
	rcommand.cpp
	rcommandstack.cpp
	rkrbackendprotocol_frontend.cpp
	rksessionvars.cpp
	rkfrontendtransmitter.cpp
)

ADD_LIBRARY(rbackend STATIC ${rbackend_frontend_SRCS} ${rbackend_shared_SRCS})
SET(REL_PATH_TO_LIBEXEC ${KDE_INSTALL_LIBEXECDIR})
CMAKE_PATH(RELATIVE_PATH REL_PATH_TO_LIBEXEC BASE_DIRECTORY ${KDE_INSTALL_BINDIR})
TARGET_COMPILE_DEFINITIONS(rbackend PUBLIC -DREL_PATH_TO_LIBEXEC="${REL_PATH_TO_LIBEXEC}")
TARGET_COMPILE_DEFINITIONS(rbackend PUBLIC -DR_EXECUTABLE="${R_EXECUTABLE}")
TARGET_LINK_LIBRARIES(rbackend rkgraphicsdevice.frontend Qt6::Widgets KF6::TextEditor KF6::WindowSystem)

ADD_DEFINITIONS (-DRKWARD_BACKEND_PATH="${KDE_INSTALL_FULL_LIBEXECDIR}")

# See rkrapi.h for documentation and rationale of the linking strategy
IF(${DLOPEN_RLIB})
  ADD_LIBRARY(rkward.rbackend.lib SHARED ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
  TARGET_LINK_LIBRARIES(rkward.rbackend.lib rkgraphicsdevice.backend ${CMAKE_THREAD_LIBS_INIT} Qt6::Network Qt6::Core KF6::I18n)
  TARGET_COMPILE_DEFINITIONS(rkward.rbackend.lib PUBLIC RK_DLOPEN_LIBRSO)
  TARGET_COMPILE_DEFINITIONS(rbackend PUBLIC RK_DLOPEN_LIBRSO)
  SET(REL_PATH_TO_LIB ${KDE_INSTALL_LIBDIR})
  CMAKE_PATH(RELATIVE_PATH REL_PATH_TO_LIB BASE_DIRECTORY ${KDE_INSTALL_BINDIR})
  TARGET_COMPILE_DEFINITIONS(rbackend PUBLIC -DREL_PATH_TO_LIB="${REL_PATH_TO_LIB}")
  INSTALL(TARGETS rkward.rbackend.lib DESTINATION ${KDE_INSTALL_LIBDIR})
  IF(APPLE)
    TARGET_LINK_LIBRARIES(rkward.rbackend.lib "-framework CoreFoundation")
  ENDIF()

  ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp)
  IF(NOT WIN32)
    TARGET_LINK_LIBRARIES(rkward.rbackend dl)
  ENDIF()
ELSE(${DLOPEN_RLIB})
  LINK_DIRECTORIES(${R_SHAREDLIBDIR})
  ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
  TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} Qt6::Network Qt6::Core KF6::I18n)
ENDIF(${DLOPEN_RLIB})
ECM_MARK_NONGUI_EXECUTABLE(rkward.rbackend)

IF(WIN32)
# 64MB stack size is what R itself is build with on Windows, while by default the stack size would be 1MB
# Not sure, if 64MB is actually needed, but 1MB does cause trouble e.g. with some shiny apps.
    IF(MSVC)
        SET_TARGET_PROPERTIES(rkward.rbackend PROPERTIES LINK_FLAGS /STACK:64000000)
    ELSE(MSVC)
        SET_TARGET_PROPERTIES(rkward.rbackend PROPERTIES LINK_FLAGS -Wl,--stack,64000000)
    ENDIF(MSVC)
ENDIF(WIN32)

IF(APPLE)
    IF(NOT ${DLOPEN_RLIB})
        TARGET_LINK_LIBRARIES(rkward.rbackend "-framework CoreFoundation")
    ENDIF()
    ADD_CUSTOM_COMMAND(TARGET rkward.rbackend POST_BUILD
    COMMAND codesign -d --force --options runtime --verbose=4 -s - --entitlements "${CMAKE_CURRENT_SOURCE_DIR}/rkward.rbackend.entitlements" ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/rkward.rbackend
    WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
    COMMENT "Adding entitlment for rkward.rbackend to link to external R lib...")
ENDIF()
IF(MSVC)
# When compiling with MSVC, we have to create a .lib file for R.dll, first
FIND_PACKAGE(Python3 COMPONENTS Interpreter REQUIRED)
ADD_CUSTOM_TARGET(R_lib COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/GenLibFile.py ${LIBR_SO} ${CMAKE_BINARY_DIR} ${CMAKE_SYSTEM_PROCESSOR}
                        COMMENT "Generate .lib file for R.dll")
ADD_DEPENDENCIES(rkward.rbackend R_lib)
ENDIF(MSVC)

IF(WIN32)
	# on Windows, we install to the rbackend subdirectory, because 1) LIBEXEC_INSTALL_DIR == BIN_INSTALL_DIR and 2) we don't want the backend to pick up
	# all the KDE library versions, first, when loading DLLs
	INSTALL(TARGETS rkward.rbackend DESTINATION ${KDE_INSTALL_BINDIR}/rbackend)
ELSE(WIN32)
	INSTALL(TARGETS rkward.rbackend DESTINATION ${KDE_INSTALL_LIBEXECDIR})
ENDIF(WIN32)

=== rkward/rbackend/rkwarddevice/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}    )

SET (
	rkgraphicsdevice_backend_SRCS
	rkgraphicsdevice_backendtransmitter.cpp
	rkgraphicsdevice_setup.cpp
#	rkgraphicsdevice_stubs.cpp is included by rkgraphicsdevice_setup.cpp
)

SET (
	rkgraphicsdevice_frontend_SRCS
	rkgraphicsdevice_frontendtransmitter.cpp
	rkgraphicsdevice.cpp
)

ADD_LIBRARY(rkgraphicsdevice.frontend STATIC ${rkgraphicsdevice_frontend_SRCS})
TARGET_LINK_LIBRARIES(rkgraphicsdevice.frontend Qt6::Widgets Qt6::Core Qt6::Network KF6::CoreAddons KF6::WidgetsAddons KF6::I18n KF6::ConfigCore KF6::Parts)

ADD_LIBRARY(rkgraphicsdevice.backend STATIC ${rkgraphicsdevice_backend_SRCS})
TARGET_LINK_LIBRARIES(rkgraphicsdevice.backend Qt6::Core Qt6::Network)
IF(${DLOPEN_RLIB})
  TARGET_COMPILE_DEFINITIONS(rkgraphicsdevice.backend PUBLIC RK_DLOPEN_LIBRSO)
  IF(NOT WIN32)
    TARGET_COMPILE_OPTIONS(rkgraphicsdevice.backend PUBLIC -fPIC)
  ENDIF()
ENDIF()

=== rkward/rbackend/rpackages/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
# Ok, so this seems a bit ove the top, and I hope we'll find an easier solution one of those days:
# During build, we package the support R package sources, so they can be installed in whatever R backend will be used at runtime.
# However, that breaks reproducible builds, as timestamps and owner info enter the tar. Those can be stripped with some extra options,
# but _only_ in GNU tar...
#
# The elaborate code below was taken from Extra CMake Modules / KDEPackageAppTemplates.cmake, where the same problem is faced.
find_program(_tar_executable NAMES gtar tar)
if(_tar_executable)
	execute_process(
		COMMAND ${_tar_executable} --sort=name --version
		TIMEOUT 3
		RESULT_VARIABLE _tar_exit
		OUTPUT_VARIABLE _tar_version
		ERROR_VARIABLE _tar_stderr
	)
	if("${_tar_exit}" EQUAL 0 AND "${_tar_version}" MATCHES "GNU tar")
		set(GNU_TAR_FOUND ON)
	else()
		set(GNU_TAR_FOUND OFF)
	endif()
else()
	set(GNU_TAR_FOUND OFF)
endif()


MACRO(createRpackage name)
	FILE(GLOB_RECURSE rkwardfiles${name} LIST_DIRECTORIES true CONFIGURE_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${name}/*")
        if(GNU_TAR_FOUND)
		# Honour SOURCE_DATE_EPOCH if set
		if(DEFINED ENV{SOURCE_DATE_EPOCH})
			set(TIMESTAMP $ENV{SOURCE_DATE_EPOCH})
		else()
		execute_process(
			COMMAND "date" "+%s"
			OUTPUT_VARIABLE TIMESTAMP
			OUTPUT_STRIP_TRAILING_WHITESPACE)
		endif()

		# Make tar archive reproducible, the arguments are only available with GNU tar
		add_custom_command(OUTPUT ${name}.tgz
			COMMAND ${_tar_executable} ARGS
			cfz "${CMAKE_CURRENT_BINARY_DIR}/${name}.tgz" "${name}"
			--sort=name
			--numeric-owner --owner=0 --group=0
			--mtime="@${TIMESTAMP}"
			--pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			DEPENDS ${rkwardfiles${name}})
	ELSE(GNU_TAR_FOUND)
		ADD_CUSTOM_COMMAND(OUTPUT ${name}.tgz
			COMMAND ${CMAKE_COMMAND} -E tar "cfz" "${CMAKE_CURRENT_BINARY_DIR}/${name}.tgz" "${name}"
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			DEPENDS ${rkwardfiles${name}})
	ENDIF(GNU_TAR_FOUND)
ENDMACRO()

createRpackage(rkward)
createRpackage(rkwardtests)
ADD_CUSTOM_TARGET(rpackages ALL DEPENDS rkward.tgz rkwardtests.tgz)

INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/rkward.tgz" "${CMAKE_CURRENT_BINARY_DIR}/rkwardtests.tgz" DESTINATION ${KDE_INSTALL_DATADIR}/rkward/rpackages)

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
Package: rkward
Type: Package
Title: Provides functions related to the RKWard GUI
Description: This package contains functions which are useful in combination with the RKWard GUI. Many of these functions are only needed for the internal communication between
                    RKWard and R, but some are also useful in user scripts.
Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net> and the RKWard Team <rkward-devel@kde.org>
Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
Depends: R (>= 2.9.0),methods
Suggests: Cairo,googleVis,htmlwidgets,lattice,R2HTML
URL: https://rkward.kde.org
BugReports: https://rkward.kde.org/Bugs.html
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
Authors@R: c(person(given="Thomas", family="Friedrichsmeier", email="thomas.friedrichsmeier@kdemail.net", role=c("aut")), person(given="the RKWard", family="team",
                    email="rkward-devel@kde.org", role=c("cre","aut")))
Version: 0.8.0
Date: 2024-07-25
RoxygenNote: 7.3.2
Collate: 
    'base_overrides.R'
    'internal.R'
    'internal_debugger.R'
    'internal_graphics.R'
    'internal_help.R'
    'public_graphics.R'
    'rk.KDE_GUI-functions.R'
    'rk.check.for.pandoc.R'
    'rk.completion-functions.R'
    'rk.demo.R'
    'rk.download_appimage.R'
    'rk.edit-functions.R'
    'rk.filename-functions.R'
    'rk.label-functions.R'
    'rk.output.R'
    'rk.plugin-functions.R'
    'rk.print-functions.R'
    'rk.replace.function.R'
    'rk.sessionInfo.R'
    'rk.sync-functions.R'
    'rk.utility-functions.R'
    'rk.workspace-functions.R'
    'rkward-package.R'
    'ver.R'

=== rkward/rbackend/rpackages/rkwardtests/DESCRIPTION ===
Package: rkwardtests
Type: Package
Title: RKWard Plugin Test Suite Framework
Author: Thomas Friedrichsmeier, Meik Michalke
Maintainer: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
    Meik Michalke <meik.michalke@uni-duesseldorf.de>
Depends:
    R (>= 2.9.0),methods
Description: A set of functions, classes and methods to test plugins that were
    written for RKWard.
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
URL: https://rkward.kde.org
Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
    email="thomas.friedrichsmeier@kdemail.net", role=c("aut", "cre")),
    person(given="Meik", family="Michalke", email="meik.michalke@hhu.de",
    role=c("aut", "cre")))
Version: 0.7.5
Date: 2022-05-26
Collate:
    'RKTest-class.R'
    'rktest.getTempDir.R'
    'rktest.makeplugintests.R'
    'rktest.replaceRunAgainLink.R'
    'RKTestResult-class.R'
    'rktest.runRKTestSuite.R'
    'rktest.expectError.R'
    'rktest.setSuiteStandards.R'
    'RKTestSuite-class.R'
    'rkwardtests-internal.R'
    'rkwardtests-package.R'
    'show-method.R'
RoxygenNote: 7.3.2

=== debian/changelog ===
rkward (0.8.0-4.1~deb13u1) trixie; urgency=medium

  * Non-maintainer upload.
  * Rebuild for trixie.

 -- Adrian Bunk <bunk@debian.org>  Tue, 29 Jul 2025 17:20:42 +0300

rkward (0.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fixes for R 4.5. (Closes: #1103204)

 -- Adrian Bunk <bunk@debian.org>  Mon, 30 Jun 2025 15:53:42 +0300

rkward (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Simplify GPL license text in debian/copyright.
  * Use the system version of kdsingleapplication:
    - backport upstream commit 997c8a7280fe0f99a29465f67b56fd001cdac4e1; patch
      upstream_Make-it-possible-to-build-against-system-kdsingleapp.patch
    - add the libkdsingleapplication-qt6-dev build dependency

 -- Pino Toscano <pino@debian.org>  Fri, 11 Apr 2025 04:57:31 +0200

rkward (0.8.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + rkward-data: Add Multi-Arch: foreign.

  [ Pino Toscano ]
  * Backport upstream commit 5dc679244f7edc3f15526a4b708e370cb1d4533d to set
    file modes for the R packages; patch
    upstream_Also-set-file-modes-when-creating-reproducible-archi.patch.
  * Tweak tests-disable-encodingtest.diff once more to unconditionally disable
    the assertion: it seems it fails in random setups/scenarios, and it is not
    possible for me to determine what goes on or debug why.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 20:12:08 +0100

rkward (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Tweak tests-disable-encodingtest.diff to XFAIL only when not running on the
    Debian buildds, as the test seems to pass only there (causing XPASS which
    is considered as a test failure).

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 15:37:08 +0100

rkward (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5archive-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5notifications-dev, libkf5parts-dev, libkf5texteditor-dev,
      libkf5xmlgui-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      qtwebengine5-dev, qtbase5-dev, and qtdeclarative5-dev
    - add qt6-base-dev, qt6-5compat-dev, qt6-declarative-dev, qt6-webengine-dev,
      libkf6archive-dev, libkf6breezeicons-dev, libkf6config-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6doctools-dev, libkf6i18n-dev,
      libkf6notifications-dev, libkf6parts-dev, libkf6texteditor-dev,
      libkf6widgetsaddons-dev, libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.20.0
    - bump extra-cmake-modules to 6.0.0
    - add test-only kf6-breeze-icon-theme, and qt6-svg-plugins
  * Switch the kf5 dh addon to kf6.
  * Do not install the upstream README as documentation, as it is not provide
    a lot of content for users.
  * Update the patches:
    - upstream_Fix-not-a-string-literal-compile-error.patch: drop, backported
      from upstream
    - upstream_Fix-compilation.patch: drop, backported from upstream
  * Allow one assertion in a specific test (encodingTest()) to fail for now;
    unclear why to me.
  * Update install files.
  * Tweak filename in copyright.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 13:26:26 +0100

=== debian/control ===
Source: rkward
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake (>= 3.20.0~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               pkg-kde-tools,
               debhelper-compat (= 13),
               qt6-base-dev (>= 6.6.0~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0~),
               libkdsingleapplication-qt6-dev (>= 1.1.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6breezeicons-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               r-base-dev,
               kf6-breeze-icon-theme <!nocheck>,
               qt6-svg-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
Homepage: https://rkward.kde.org
Rules-Requires-Root: no

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rvers},
         ${rapivers},
         ${rgraphicsenginevers},
         ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Multi-Arch: foreign
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure '--buildsystem=kf6' -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DCMAKE_SKIP_RPATH=YES

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

override_dh_gencontrol-arch:
	# We need to know the R version
	dh_gencontrol -a -- \
	  -V'rvers=r-base-core (>= $(shell dpkg-query -W --showformat='$${Version}' r-base-core))' \
	  -V'rapivers=$(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')' \
	  -V'rgraphicsenginevers=$(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-graphics-engine[^, ]*')'

## rkward 0.8.1

=== debian/changelog ===
rkward (0.8.1-0zneon+24.04+noble+release+build6) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:36:14 +0000

rkward (0.8.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 27 Apr 2025 20:37:17 +0000

rkward (0.8.0-0neon) focal; urgency=medium

  * Team upload.
  * Backport upstream commit b53d754f18bef786e92f266f576afdbe5fd7d00b, and
    commit ded0472b90c398adc05a7fed1b6446417789ba58 to build with newer versions
    of R; patches upstream_Fix-not-a-string-literal-compile-error.patch, and
    upstream_Fix-compilation.patch. (Closes: #1071360)
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 May 2024 07:28:08 +0200

=== debian/control ===
Source: rkward
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-breeze-icon-theme-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-webengine-dev,
               r-base-dev
Standards-Version: 4.6.2
Homepage: https://rkward.kde.org
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/rkward.git
Vcs-Browser: https://invent.kde.org/neon/extras/rkward
Maintainer: Neon CI <neon@kde.org>

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rapivers},
         ${rgraphicsenginevers},
         ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.

## rkward 0.8.1+p24.04+vstable+git20250928.0731

=== debian/changelog ===
rkward (0.8.1+p24.04+vstable+git20250928.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 07:31:54 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

include /usr/share/dpkg/pkg-info.mk

# We need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RAPI = $(shell dpkg-query -W --showformat='$${Provides}' r-base-core | grep -o 'r-api[^, ]*')

# easier typing
DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with kf6 --buildsystem=kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DNO_QT_WEBENGINE=1 \
		-DCMAKE_SKIP_RPATH=YES

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

	# remove unneeded R package files
	rm -vf $(DESTDIR)/usr/lib/R/site-library/R.css $(DESTDIR)/usr/lib/R/site-library/rkward/COPYING
	# remove x-test locale
	rm -rvf $(DESTDIR)/usr/share/rkward/po/x-test $(DESTDIR)/usr/share/locale/x-test

override_dh_shlibdeps:
	dh_shlibdeps
	echo "rvers=r-base-core (>= $(RVERS))" >> $(CURDIR)/debian/rkward.substvars ;
	echo "rapivers=$(RAPI)" >> $(CURDIR)/debian/rkward.substvars ;

override_dh_auto_test:
	true

## rkward 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,28 @@
 INCLUDE(KDEInstallDirs)
 INCLUDE(KDECMakeSettings)
 INCLUDE(KDECompilerSettings)
+INCLUDE(KDEClangFormat)
+FILE(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.js)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+INCLUDE(KDEGitCommitHooks)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 INCLUDE(ECMInstallIcons)
 INCLUDE(ECMAddAppIcon)
 INCLUDE(ECMMarkNonGuiExecutable)
 INCLUDE(FeatureSummary)
 
-FIND_PACKAGE(Qt6 6.6 CONFIG REQUIRED COMPONENTS Widgets Core Xml Network Qml PrintSupport WebEngineWidgets Core5Compat DBus) # TODO: remove compat
+FIND_PACKAGE(Qt6 6.6 CONFIG REQUIRED COMPONENTS Widgets Core Xml Network Qml PrintSupport WebEngineWidgets DBus)
 FIND_PACKAGE(KF6 6.0.0 REQUIRED COMPONENTS CoreAddons DocTools I18n XmlGui TextEditor WidgetsAddons Parts Config Notifications WindowSystem Archive BreezeIcons OPTIONAL_COMPONENTS Crash)
 FIND_PACKAGE(Gettext REQUIRED)
+
+FIND_PACKAGE(KDSingleApplication-qt6 1.1.0 QUIET)
+if(KDSingleApplication-qt6_FOUND)
+  message(STATUS "Using system KDSingleApplication")
+else()
+  message(STATUS "Using bundled KDSingleApplication")
+  add_subdirectory(3rdparty/KDSingleApplication)
+  add_definitions(-DKDSINGLEAPPLICATION_STATIC_BUILD)
+endif()
 
 IF(FORCE_PRETTY_MAKEFILE)
 	SET(CMAKE_VERBOSE_MAKEFILE OFF)
@@ -32,12 +46,9 @@
 
 ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
-remove_definitions(-DQT_NO_CAST_FROM_ASCII) # TODO remove to compley to KDECompilerSettings
-
 #uncomment the line below to save ~250-350kB in object size
 #ADD_DEFINITIONS(-DRKWARD_NO_TRACE)
 
-ADD_SUBDIRECTORY(3rdparty/KDSingleApplication)
 ADD_SUBDIRECTORY(rkward)
 ADD_SUBDIRECTORY(doc)
 ADD_SUBDIRECTORY(tests)

=== doc/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
ADD_SUBDIRECTORY (rkward)
ADD_SUBDIRECTORY (rkwardplugins)

=== rkward/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
IF(NOT ${PROJECT_NAME} STREQUAL "rkward")
	MESSAGE (FATAL_ERROR "Build triggered from wrong subdirectory. Please point cmake to the parent of this directory, instead.")
ENDIF(NOT ${PROJECT_NAME} STREQUAL "rkward")

INCLUDE(SetVersionNumber.cmake)

OPTION(DLOPEN_RLIB "dlopen the R library at runtime rather than linking it" ON)
ADD_FEATURE_INFO("dlopen() R library" DLOPEN_RLIB "This feature allows more flexibility in using a different R installation at runtime than at compile time.")

ADD_SUBDIRECTORY( dataeditor )
ADD_SUBDIRECTORY( settings )
ADD_SUBDIRECTORY( plugin )
ADD_SUBDIRECTORY( agents )
ADD_SUBDIRECTORY( rbackend )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( scriptbackends )
ADD_SUBDIRECTORY( misc )
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( icons )
ADD_SUBDIRECTORY( windows )
IF(BUILD_TESTING)
	ADD_SUBDIRECTORY(autotests)
ENDIF(BUILD_TESTING)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

# For auto-tests: pack everything except main in a dummy library
SET(RKWard_Lib_Sources
	rkward.cpp
	robjectviewer.cpp
	rkconsole.cpp
)
QT_ADD_RESOURCES(RKWard_Lib_Sources resources.qrc icons/icons.qrc)

# somehow the detected R paths from FindR.cmake do not get passed down automatically
GET_DIRECTORY_PROPERTY(R_SHAREDLIBDIR DIRECTORY rbackend LINK_DIRECTORIES)
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

ADD_LIBRARY(rkward_lib STATIC ${RKWard_Lib_Sources})
TARGET_LINK_LIBRARIES(rkward_lib windows ${RKWARD_ADDLIBS} agents dialogs plugin settings dataeditor core scriptbackends rbackend misc KDAB::kdsingleapplication KF6::WindowSystem Qt6::Widgets KF6::XmlGui KF6::BreezeIcons)

SET(RKWard_App_Sources
	main.cpp
)
FILE(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/*-apps-rkward.png")
# recent ECM versions will prefer the scalable version: prepend it to the icon source list (older versions generate a warning on the SVG, but so what):
ECM_ADD_APP_ICON(RKWard_App_Sources ICONS ${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/sc-apps-rkward.svgz ${ICON_SRCS})
ADD_EXECUTABLE(rkward ${RKWard_App_Sources})

# NOTE: These path definitions are needed for the startup procedure (main.cpp), only.
TARGET_COMPILE_DEFINITIONS(rkward PUBLIC -DINSTALL_PATH="${CMAKE_INSTALL_PREFIX}")
FILE(RELATIVE_PATH RelPathToData /${KDE_INSTALL_BINDIR} /${KDE_INSTALL_DATADIR})
TARGET_COMPILE_DEFINITIONS(rkward PUBLIC -DREL_PATH_TO_DATA="${RelPathToData}")
TARGET_LINK_LIBRARIES(rkward rkward_lib)
IF(KF6Crash_FOUND)
	TARGET_LINK_LIBRARIES(rkward KF6::Crash)
	SET_SOURCE_FILES_PROPERTIES(main.cpp PROPERTIES COMPILE_DEFINITIONS WITH_KCRASH=1)
ENDIF(KF6Crash_FOUND)

SET_TARGET_PROPERTIES(rkward PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "RKWard")

IF(APPLE)
	SET(RKWARD_INFOPLIST_TEMPLATE Info.plist.in)
	SET(RKWARD_INFOPLIST_FILE ${CMAKE_SOURCE_DIR}/rkward/Info.plist)
	CONFIGURE_FILE(
		${RKWARD_INFOPLIST_TEMPLATE}
		${RKWARD_INFOPLIST_FILE}
		@ONLY)
ENDIF(APPLE)

########### install files ###############

INSTALL(DIRECTORY plugins/ pages DESTINATION ${KDE_INSTALL_DATADIR}/rkward)
INSTALL(FILES resource.ver DESTINATION ${KDE_INSTALL_DATADIR}/rkward)
# This is for running directly from the build tree.
EXECUTE_PROCESS(
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/rbackend/rpackages # populated later during the build
)
EXECUTE_PROCESS(
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/icons ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/icons
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/pages ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/pages
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/plugins ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/plugins
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/resource.ver ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/resource.ver
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/scriptbackends ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/phpfiles
	COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_BINARY_DIR}/rbackend/rpackages ${CMAKE_CURRENT_BINARY_DIR}/rkwardinstall/rpackages
	RESULT_VARIABLE SYMLINKS_FAILED
)
IF(SYMLINKS_FAILED)
	MESSAGE(WARNING "Failed to create symbolic links inside build tree. This is ok in a regular installation, but running from the build tree will fail (i.e. tests will fail).")
ENDIF(SYMLINKS_FAILED)


IF(APPLE)
    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    SET(MACOSX_BUNDLE_DISPLAY_NAME RKWard)
    # We provide our own Info.plist, but for the wrapper only
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${RKWARD_INFOPLIST_FILE})
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "RKWard")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_INFO_STRING "Frontend to the R statistics language")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "RKWard ${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RKVERSION_NUMBER}")
    set_target_properties(rkward PROPERTIES MACOSX_BUNDLE_COPYRIGHT "RKWard Team")
ENDIF()
INSTALL(TARGETS rkward ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES org.kde.rkward.desktop DESTINATION ${KDE_INSTALL_APPDIR})
INSTALL(FILES org.kde.rkward.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
INSTALL(FILES rkward.protocol DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)
INSTALL(FILES vnd.rkward.r.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
INSTALL(FILES vnd.kde.rkward-output.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
INSTALL(FILES vnd.kde.rmarkdown.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
FIND_PACKAGE(SharedMimeInfo)
IF(SharedMimeInfo_FOUND)
	UPDATE_XDG_MIMETYPES(${KDE_INSTALL_MIMEDIR})
ENDIF(SharedMimeInfo_FOUND)

INSTALL(FILES RKWardRMd.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)
INSTALL(FILES RKWardLaTeX.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)
INSTALL(FILES RKWardR.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)
INSTALL(FILES RKWardroxygen2.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)
INSTALL(FILES RKWardutils.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)
INSTALL(FILES RKWardpapaja.xml DESTINATION ${KDE_INSTALL_DATADIR}/ktexteditor_snippets/data)

=== 3rdparty/KDSingleApplication/CMakeLists.txt ===
# This file is part of KDSingleApplication.
#
# SPDX-FileCopyrightText: 2020-2023 Klarälvdalens Datakonsult AB, a KDAB Group company <info@kdab.com>
#
# SPDX-License-Identifier: MIT
#
# Contact KDAB at <info@kdab.com> for commercial licensing options.
#

# NOTE: severly stripped down from upstream version
set(KDSINGLEAPPLICATION_SRCS kdsingleapplication.cpp kdsingleapplication_localsocket.cpp)

add_library(kdsingleapplication STATIC ${KDSINGLEAPPLICATION_INSTALLABLE_INCLUDES} ${KDSINGLEAPPLICATION_SRCS})
target_compile_definitions(kdsingleapplication PUBLIC KDSINGLEAPPLICATION_STATIC_BUILD)
add_library(
    KDAB::kdsingleapplication ALIAS kdsingleapplication
)

if(WIN32)
    target_link_libraries(kdsingleapplication PRIVATE kernel32)
endif()
target_link_libraries(
    kdsingleapplication
    PUBLIC Qt::Core
    PRIVATE Qt::Network
)

=== doc/rkward/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR rkward)
kdoctools_create_manpage (man-rkward.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== doc/rkwardplugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,5 @@
 kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR rkwardplugins)
 
 ADD_CUSTOM_TARGET (webdocs
-	COMMAND meinproc5 --stylesheet customization/kde-web.xsl ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook
+	COMMAND meinproc6 --stylesheet customization/kde-web.xsl ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook
 	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== rkward/agents/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(agents_STAT_SRCS
   rkdebughandler.cpp
   rkeditobjectagent.cpp
   rkloadagent.cpp
   rkprintagent.cpp
   rkquitagent.cpp
   rksaveagent.cpp
   showedittextfileagent.cpp
   )

ADD_LIBRARY(agents STATIC ${agents_STAT_SRCS})
TARGET_LINK_LIBRARIES(agents Qt6::Widgets KF6::TextEditor KF6::I18n KF6::Service KF6::KIOCore KF6::KIOWidgets)

=== rkward/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,9 @@
   endforeach()
 endmacro()
 
+add_definitions(-DTEST_DATA_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}//data/\")
+
 rkward_executable_tests(
   core_test
+  rkparsedscript_test
 )

=== rkward/dataeditor/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

SET(dataeditor_STAT_SRCS
   twintable.cpp
   twintablemember.cpp
   rkeditor.cpp
   rkeditordataframe.cpp
   rkvareditmodel.cpp
   rktextmatrix.cpp
   )

ADD_LIBRARY(dataeditor STATIC ${dataeditor_STAT_SRCS})
TARGET_LINK_LIBRARIES(dataeditor Qt6::Widgets KF6::WidgetsAddons KF6::Parts KF6::I18n)

=== rkward/icons/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
ADD_SUBDIRECTORY(app-icon)

# Note: Icons are installed via QRC from CMakeLists.txt in parent folder

=== rkward/plugin/CMakeLists.txt ===
# - This file is part of the RKWard project (https://rkward.kde.org).
# SPDX-FileCopyrightText: by Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>
# SPDX-FileContributor: The RKWard Team <rkward-devel@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}    )


########### next target ###############

SET(plugin_STAT_SRCS
   rkcomponentmap.cpp
   rkcomponentmeta.cpp
   rkcomponentproperties.cpp
   rkcomponent.cpp
   rkstandardcomponent.cpp
   rkvarselector.cpp
   rkvarslot.cpp
   rkformula.cpp
   rkradio.cpp
   rkcheckbox.cpp
   rkpluginspinbox.cpp
   rkinput.cpp
   rkpluginbrowser.cpp
   rktext.cpp
   rktabpage.cpp
   rkstandardcomponentgui.cpp
   rkdropdown.cpp
   rkcomponentcontext.cpp
   rkpreviewbox.cpp
   rkpluginsaveobject.cpp
   rkabstractoptionselector.cpp
   rkpluginframe.cpp
   rkoptionset.cpp
   rkmatrixinput.cpp
   rkvalueselector.cpp
   )

ADD_LIBRARY(plugin STATIC ${plugin_STAT_SRCS})
TARGET_LINK_LIBRARIES(plugin Qt6::Widgets KF6::TextEditor KF6::WindowSystem KF6::I18n)

=== rkward/rbackend/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	FIND_PACKAGE(Threads)
 ENDIF(NOT WIN32)
 
-SET(DLOPEN_RLIB 1) # TODO: Allow configuration
+IF(NOT DEFINED DLOPEN_RLIB)
+	SET(DLOPEN_RLIB 1)
+ENDIF()
 ADD_SUBDIRECTORY( rpackages )
 ADD_SUBDIRECTORY( rkwarddevice )
 
@@ -66,13 +68,21 @@
     TARGET_LINK_LIBRARIES(rkward.rbackend.lib "-framework CoreFoundation")
   ENDIF()
 
-  ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp)
+  IF(WIN32)
+    ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp winutf8.manifest)
+  ELSE()
+    ADD_EXECUTABLE(rkward.rbackend rkrbackend_dlopen.cpp)
+  ENDIF()
   IF(NOT WIN32)
     TARGET_LINK_LIBRARIES(rkward.rbackend dl)
   ENDIF()
 ELSE(${DLOPEN_RLIB})
   LINK_DIRECTORIES(${R_SHAREDLIBDIR})
-  ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
+  IF(WIN32)
+    ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS})
+  ELSE()
+    ADD_EXECUTABLE(rkward.rbackend ${rbackend_backend_SRCS} ${rbackend_shared_SRCS} winutf8.manifest)
+  ENDIF()
   TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} Qt6::Network Qt6::Core KF6::I18n)
 ENDIF(${DLOPEN_RLIB})
 ECM_MARK_NONGUI_EXECUTABLE(rkward.rbackend)

=== debian/changelog ===
rkward (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Also-set-file-modes-when-creating-reproducible-archi.patch:
      drop, backported from upstream
    - upstream_Make-it-possible-to-build-against-system-kdsingleapp.patch:
      drop, backported from upstream
    - tests-disable-encodingtest.diff: drop, hopefully no more needed
    - 0001-Adjust-to-the-removal-of-Rf_addTaskCallback-in-R-dev.patch: drop,
      backported from upstream
    - 0002-Adjust-to-hiding-for-R_checkActivityEx-in-R-devel-fo.patch: drop,
      backported from upstream
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 15:59:52 +0200

=== debian/control ===
Source: rkward
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Thomas Friedrichsmeier <thomas.friedrichsmeier@kdemail.net>,
           Dylan Aïssi <daissi@debian.org>
Section: math
Priority: optional
Build-Depends: cmake (>= 3.20.0~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               pkg-kde-tools,
               debhelper-compat (= 13),
               qt6-base-dev (>= 6.6.0~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-webengine-dev (>= 6.6.0~),
               libkdsingleapplication-qt6-dev (>= 1.1.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6breezeicons-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               r-base-dev,
               kf6-breeze-icon-theme <!nocheck>,
               qt6-svg-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/rkward
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/rkward.git
Homepage: https://rkward.kde.org

Package: rkward
Architecture: any
Depends: rkward-data (= ${source:Version}),
         ${misc:Depends},
         ${rvers},
         ${rapivers},
         ${rgraphicsenginevers},
         ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

Package: rkward-data
Architecture: all
Depends: ${misc:Depends}
Recommends: rkward
Multi-Arch: foreign
Description: KDE frontend to the R statistics language - data files
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.
 .
 This package provides the architecture independent data files for rkward.
